package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.SEnvGasSelfDay;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 多源排放量汇总分析-废气-手工监测数据对象 s_env_gas_self_day
 *
 * @author szhpt
 * @date 2023-07-26*/
@ApiModel(value = "多源排放量汇总分析-废气-手工监测数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class SEnvGasSelfDayQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private String id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "排口id")
    private String outletId;
    @ApiModelProperty(value = "数据类型（日：D；小时：H；分钟：M）")
    private String dataType;
    @ApiModelProperty(value = "日期")
    private String monitoringTime;
    @ApiModelProperty(value = "二氧化硫")
    private String so2;
    @ApiModelProperty(value = "二氧化硫折算")
    private String so2Convert;
    @ApiModelProperty(value = "二氧化硫排放量")
    private String so2Emission;
    @ApiModelProperty(value = "氮氧化物")
    private String nox;
    @ApiModelProperty(value = "氮氧化物折算")
    private String noxConvert;
    @ApiModelProperty(value = "氮氧化物排放量")
    private String noxEmission;
    @ApiModelProperty(value = "一氧化氮")
    private String no;
    @ApiModelProperty(value = "一氧化氮折算")
    private String noConvert;
    @ApiModelProperty(value = "一氧化氮排放量")
    private String noEmission;
    @ApiModelProperty(value = "二氧化氮")
    private String no2;
    @ApiModelProperty(value = "二氧化氮折算")
    private String no2Convert;
    @ApiModelProperty(value = "二氧化氮排放量")
    private String no2Emission;
    @ApiModelProperty(value = "烟尘")
    private String smokeDust;
    @ApiModelProperty(value = "烟尘折算")
    private String smokeDustConvert;
    @ApiModelProperty(value = "烟尘排放量")
    private String smokeDustEmission;
    @ApiModelProperty(value = "颗粒物实测")
    private String pm;
    @ApiModelProperty(value = "颗粒物折算")
    private String pmConvert;
    @ApiModelProperty(value = "颗粒物排放量")
    private String pmEmission;
    @ApiModelProperty(value = "voc实测")
    private String vocs;
    @ApiModelProperty(value = "voc折算")
    private String vocsConvert;
    @ApiModelProperty(value = "voc排放量")
    private String vocsEmission;
    @ApiModelProperty(value = "氧气含量")
    private String o3;
    @ApiModelProperty(value = "废气")
    private String oxygen;
    @ApiModelProperty(value = "烟气温度")
    private String smokeDustTem;
    @ApiModelProperty(value = "烟气压力")
    private String smokeDustPressure;
    @ApiModelProperty(value = "烟气流速")
    private String smokeDustFlowVelocity;
    @ApiModelProperty(value = "烟气湿度")
    private String smokeDustHumidity;
    @ApiModelProperty(value = "采集时间（时间类型）")
    private String dateTime;
    @ApiModelProperty(value = "废气折算")
    private String oxygenConvert;
    @ApiModelProperty(value = "废气排放量")
    private String oxygenEmission;
    @ApiModelProperty(value = "非甲烷总烃")
    private String nmhc;
    @ApiModelProperty(value = "非甲烷总烃折算")
    private String nmhcConvert;
    @ApiModelProperty(value = "非甲烷总烃排放量")
    private String nmhcEmission;
    @ApiModelProperty(value = "二氧化硫数据标记")
    private String so2Flag;
    @ApiModelProperty(value = "氮氧化物数据标记")
    private String noxFlag;
    @ApiModelProperty(value = "一氧化氮数据标记")
    private String noFlag;
    @ApiModelProperty(value = "二氧化氮数据标记")
    private String no2Flag;
    @ApiModelProperty(value = "烟尘数据标记")
    private String smokeDustFlag;
    @ApiModelProperty(value = "颗粒物数据标记")
    private String pmFlag;
    @ApiModelProperty(value = "voc数据标记")
    private String vocsFlag;
    @ApiModelProperty(value = "氧气含量数据标记")
    private String o3Flag;
    @ApiModelProperty(value = "废气数据标记")
    private String oxygenFlag;
    @ApiModelProperty(value = "烟气温度数据标记")
    private String smokeDustTemFlag;
    @ApiModelProperty(value = "烟气压力数据标记")
    private String smokeDustPressureFlag;
    @ApiModelProperty(value = "烟气流速数据标记")
    private String smokeDustFlowVelocityFlag;
    @ApiModelProperty(value = "烟气湿度数据标记")
    private String smokeDustHumidityFlag;
    @ApiModelProperty(value = "非甲烷总烃数据标记")
    private String nmhcFlag;
    @ApiModelProperty(value = "数据标记 见字典类型anal_data_flag")
    private String dataFlag;
    @ApiModelProperty(value = "so2修约排放量")
    private String so2CorrectEmission;
    @ApiModelProperty(value = "nox修约排放量")
    private String noxCorrectEmission;
    @ApiModelProperty(value = "vocs修约排放量 ")
    private String vocsCorrectEmission;
    @ApiModelProperty(value = "smoke修约排放量")
    private String smokeDustCorrectEmission;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<SEnvGasSelfDay> createLambdaQueryWrapper(SEnvGasSelfDayQuery query) {
        QueryWrapper<SEnvGasSelfDay> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getOutletId()), "outlet_id", query.getOutletId());
        wrapper.eq(ObjectUtil.isNotNull(query.getDataType()), "data_type", query.getDataType());
        wrapper.eq(ObjectUtil.isNotNull(query.getMonitoringTime()), "monitoring_time", query.getMonitoringTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2()), "so2", query.getSo2());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2Convert()), "so2_convert", query.getSo2Convert());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2Emission()), "so2_emission", query.getSo2Emission());
        wrapper.eq(ObjectUtil.isNotNull(query.getNox()), "nox", query.getNox());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoxConvert()), "nox_convert", query.getNoxConvert());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoxEmission()), "nox_emission", query.getNoxEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getNo()), "no", query.getNo());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoConvert()), "no_convert", query.getNoConvert());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoEmission()), "no_emission", query.getNoEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getNo2()), "no2", query.getNo2());
        wrapper.eq(ObjectUtil.isNotNull(query.getNo2Convert()), "no2_convert", query.getNo2Convert());
        wrapper.eq(ObjectUtil.isNotNull(query.getNo2Emission()), "no2_emission", query.getNo2Emission());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDust()), "smoke_dust", query.getSmokeDust());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDustConvert()), "smoke_dust_convert", query.getSmokeDustConvert());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDustEmission()), "smoke_dust_emission", query.getSmokeDustEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getPm()), "pm", query.getPm());
        wrapper.eq(ObjectUtil.isNotNull(query.getPmConvert()), "pm_convert", query.getPmConvert());
        wrapper.eq(ObjectUtil.isNotNull(query.getPmEmission()), "pm_emission", query.getPmEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getVocs()), "vocs", query.getVocs());
        wrapper.eq(ObjectUtil.isNotNull(query.getVocsConvert()), "vocs_convert", query.getVocsConvert());
        wrapper.eq(ObjectUtil.isNotNull(query.getVocsEmission()), "vocs_emission", query.getVocsEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getO3()), "o3", query.getO3());
        wrapper.eq(ObjectUtil.isNotNull(query.getOxygen()), "oxygen", query.getOxygen());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDustTem()), "smoke_dust_tem", query.getSmokeDustTem());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDustPressure()), "smoke_dust_pressure", query.getSmokeDustPressure());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDustFlowVelocity()), "smoke_dust_flow_velocity", query.getSmokeDustFlowVelocity());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDustHumidity()), "smoke_dust_humidity", query.getSmokeDustHumidity());
        wrapper.eq(ObjectUtil.isNotNull(query.getDateTime()), "date_time", query.getDateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getOxygenConvert()), "oxygen_convert", query.getOxygenConvert());
        wrapper.eq(ObjectUtil.isNotNull(query.getOxygenEmission()), "oxygen_emission", query.getOxygenEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getNmhc()), "nmhc", query.getNmhc());
        wrapper.eq(ObjectUtil.isNotNull(query.getNmhcConvert()), "nmhc_convert", query.getNmhcConvert());
        wrapper.eq(ObjectUtil.isNotNull(query.getNmhcEmission()), "nmhc_emission", query.getNmhcEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2Flag()), "so2_flag", query.getSo2Flag());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoxFlag()), "nox_flag", query.getNoxFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoFlag()), "no_flag", query.getNoFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getNo2Flag()), "no2_flag", query.getNo2Flag());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDustFlag()), "smoke_dust_flag", query.getSmokeDustFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getPmFlag()), "pm_flag", query.getPmFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getVocsFlag()), "vocs_flag", query.getVocsFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getO3Flag()), "o3_flag", query.getO3Flag());
        wrapper.eq(ObjectUtil.isNotNull(query.getOxygenFlag()), "oxygen_flag", query.getOxygenFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDustTemFlag()), "smoke_dust_tem_flag", query.getSmokeDustTemFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDustPressureFlag()), "smoke_dust_pressure_flag", query.getSmokeDustPressureFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDustFlowVelocityFlag()), "smoke_dust_flow_velocity_flag", query.getSmokeDustFlowVelocityFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDustHumidityFlag()), "smoke_dust_humidity_flag", query.getSmokeDustHumidityFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getNmhcFlag()), "nmhc_flag", query.getNmhcFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getDataFlag()), "data_flag", query.getDataFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2CorrectEmission()), "so2_correct_emission", query.getSo2CorrectEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoxCorrectEmission()), "nox_correct_emission", query.getNoxCorrectEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getVocsCorrectEmission()), "vocs_correct_emission", query.getVocsCorrectEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getSmokeDustCorrectEmission()), "smoke_dust_correct_emission", query.getSmokeDustCorrectEmission());
        return wrapper;
        }
}
